/* Layout: */
.col-main {
    flex: 1;
    padding: 1em;
}
.col-action {
    flex: 1;
    max-width: 6em;
    display: -ms-flexbox;
    display: -webkit-flex;
    display: flex;

    -ms-flex-align: center;
    -webkit-align-items: center;
    -webkit-box-align: center;

    align-items: center;
    justify-content: center;
}
.col-editor {
    flex: 1;
    padding: 1em;
}
/* etc */
.container {
    width: 98vw;
    margin-right: auto;
    margin-left: auto;
    padding-top: 24px;
}
.col {
    margin: 0 2px 2px 0;
}

:host ::ng-deep json-editor,
:host ::ng-deep json-editor .jsoneditor,
:host ::ng-deep json-editor > div,
:host ::ng-deep json-editor jsoneditor-outer {
  height: 80vh;
}

/* Responsive: */
@media only screen and (min-width: 640px) {
    .layout {
        display: flex;
   }
}
@media only screen and (max-width: 640px) {
    .col-action {
        max-width: none;
   }
}
